#pragma once

//	============================================================================
//	view class
//	============================================================================

class view : public CStatic
{
//	============================================================================
//	view
//	============================================================================

protected:
	DECLARE_DYNAMIC(view)
public:
	DECLARE_MESSAGE_MAP()

//	============================================================================
//	functions
//	============================================================================

public:
	view();
	virtual ~view();
	virtual void render(void);
	afx_msg void OnPaint();
	virtual void timed(double dTime);
	void saveJpeg(char *path);
	void savePng(char *path);


//	============================================================================
//	attributes
//	============================================================================

public:
	int npixx;			// display X size [pixels]
	int npixy;			// display Y size [pixels]
	int mdcOK;			// mdc initialized
	CRect rect;			// display bounds [pixels]
	CDC mdc;			// display DC - screen size
	CBitmap mb;			// display bitmap - screen size

	CBrush blueBrush;
	CBrush redBrush;
	CBrush greenBrush;
	CBrush windowBrush;
	CBrush yellowBrush;

	CPen greypen;
	CPen lightgreypen;
	CPen whitepen;
	CPen redpen;
	CPen bluepen;
//	CPen redpen;
	CPen greenpen;
	CPen blackpen;
	CPen darkgreenpen;
	CPen magentapen;
	CPen yellowpen;
	CPen cyanpen;

	CPen greypen2;
	CPen lightgreypen2;
	CPen whitepen2;
	CPen redpen2;
	CPen bluepen2;
	CPen greenpen2;
	CPen blackpen2;
	CPen darkgreenpen2;
	CPen magentapen2;
	CPen yellowpen2;
	CPen cyanpen2;
};


